## BASIC Programming on MVS

There are many flavors of BASIC available for the IBM MVS operating system. The original port of Dartmouth BASIC, known as DTSS BASIC, is called BASIC/360, and is already implemented by the supplement tape for MVS 3.8j. So, everything I do on the emulator is based on that version of BASIC.

Here's the original comment flower box from the core BASIC/360 compiler module, written in PL/I. The users of this BASIC compiler did not need to compile th PL/I from source, however. The binary would have been available on the original distribution tape. 

```pli
 000002  /********************************************************************
 000003  *                                                                   *
 000004  *   SOUTH HAMMOND INSTITUTE OF TECHNOLOGY  BASIC/360   FALL 1974    *
 000005  *                                                                   *
 000006  *********************************************************************
 000007  *                                                                   *
 000008  *   IMPLEMENT A BASIC COMPILER/INTERPRETER FOR THE IBM/360          *
 000009  *   USING THE ORIGINAL DARTMOUTH SPECS FOR BASIC.  THE PRIMARY      *
 000010  *   INTENT IS TO CREATE A BASIC COMPILER/INTERPRETER FOR BEGINNING  *
 000011  *   STUDENTS TO LEARN THE BASIC LANGUAGE INSTEAD OF GOTRAN ON THE   *
 000012  *   SOON TO BE RETIRED 1620.                                        *
 000013  *                                                                   *
 000014  *   THE TARGET ENVIRONMENT IS A 32K IBM/360 MOD 30 RUNNING          *
 000015  *   DOS/360 AND PL/I(D) COMPILER.                                   *
 000016  *                                                                   *
 000017  *   STUDENTS MAY NOT BE COMPUTER MAJORS AND MOST PROGRAMS WOULD BE  *
 000018  *   SMALL, A SIMPLE MONITOR MONITOR WAS IMPLEMENTED SO THE LAB AID  *
 000019  *   OR INSTRUCTOR COULD ACTUALLY SUBMIT ALL THE BASIC PROGRAMS AS   *
 000020  *   ONE JOB.                                                        *
 000021  *                                                                   *
 000022  *   THIS PACKAGE IS BEING DESIGNED TO HAVE MODULAR SOURCE CODE      *
 000023  *   SINCE IT ENVISIONED THAT THIS PRODUCT WILL BE IMPLEMENTED       *
 000024  *   IN SEVERAL DIFFERENT ENVIRONMENTS                               *
 000025  *      1) SIMPLE BATCH - 1 BASIC PROGRAM AT A TIME                  *
 000026  *      2) MONITOR BATCH - MULTIPLE BASIC PROGRAMS CAN BE EXECUTED   *
 000027  *                         PER RUN.                                  *
 000028  *      3) ONLINE (WISH) - BASIC PROGRAM CAN BE ENTERED, EDITED AND  *
 000029  *                         EXECUTED ON LINE.                         *
 000030  *                                                                   *
 000031  ********************************************************************/      
```

